Bug 1007241 - brightness slider freezes system on Toshiba Satellite L75D-A7283 with kernel-3.11.0-x.fc20.x86_64
brightness slider freezes system on Toshiba Satellite L75D-A7283 with kernel-...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
20
x86_64 Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-12 03:57 EDT by collura
Modified: 2013-12-17 02:02 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-17 02:02:34 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg from an earlier kernel-3.11.0-3.fc20.x86_64 in 3.11.0-x series (62.47 KB, text/plain)
2013-09-12 04:31 EDT, collura
no flags Details
messages from an earlier kernel-3.11.0-3.fc20.x86_64 in 3.11.0-x series (327.36 KB, text/plain)
2013-09-12 04:33 EDT, collura
no flags Details

  None (edit)
Description collura 2013-09-12 03:57:23 EDT
Description of problem:

settings-power-screen_brigtness slider causes freeze with kernel-3.11.0-x 

when use the settings-power-screen_brightness slider control to try to change brightness with kernel-3.11.0-x the system freezes.

the freeze sometimes happens immediately and sometimes after upto a second.

no responses from:

   <ctl><alt><f#> or
   <alt><f2>restart or
   <ctl><alt><backspace> or
   <ctl><alt><del>

Version-Release number of selected component (if applicable):

  fc19 system with kernel-3.11.0-300.fc20.x86_64

How reproducible:

  always

Steps to Reproduce:
1. boot, login
2. adjust settings-power-screen_brightness slider
3. system freezes

Actual results:

  no change in brightness but system freezes

Expected results:

  brightness change

Additional info:

   aditional system information:
     https://bugzilla.redhat.com/show_bug.cgi?id=991737
     https://bugzilla.redhat.com/show_bug.cgi?id=1006527
Comment 1 collura 2013-09-12 04:31:56 EDT
Created attachment 796686 [details]
dmesg from an earlier kernel-3.11.0-3.fc20.x86_64 in 3.11.0-x series
Comment 2 collura 2013-09-12 04:33:01 EDT
Created attachment 796688 [details]
messages from an earlier kernel-3.11.0-3.fc20.x86_64 in 3.11.0-x series
Comment 3 collura 2013-10-05 02:20:53 EDT
problem still exists on the fc20-alpha livecd
Comment 4 collura 2013-12-01 07:42:26 EST
fc20 beta system having problem booting some kernels after 3.10.x.fc19 (from 3.11.x.fc20 to 3.13.0-0.rc1.git0.1.fc21) so this bug stays open for now, 
but 3.13.0-0.rc1.git1.1.fc21 and 3.13.0-0.rc2.git0.1.fc21 have working brightness sliders so there is some progress. :')
Comment 5 collura 2013-12-17 02:02:34 EST
no brightness slider freezes as of:

  kernel-3.12.5-300.fc20.x86_64

  kernel-3.13.0-0.rc4.git0.1-fc21.x86_64

closing as errata.

thanks.

Note You need to log in before you can comment on or make changes to this bug.